How to install Armory Wallet on Fedora? – Notes

At the moment it does not look easily possible to install Armory Wallet on Fedora. Here are some notes about trying to get it to work.

The following person on Reddit was able to get it working on an older version of Fedora.

[Tutorial] Install Armory Wallet 0.96.4 on Fedora Workstation 29 from Bitcoin

The issue is that pyqt4 and pyqt4-devel are not available on the latest versions of Fedora.

The following prerequisites need to be installed

sudo dnf install git nano qt qt-devel python-devel libtool lmdb swig python-psutil

Other notes.

Armory relies on Bitcoin Core. You can install BitCoin core from https://bitcoincore.org. It will need to be fully synced which can take a long time “as in days/weeks”. Note that Armory will not work if you have the blockchain pruned. Which means you’ll need about 500GB of space for the BitCoin blockchain.

https://github.com/goatpig/BitcoinArmory